import { ReactNode } from 'react';
import { UIConfig } from '@crossmint/common-sdk-base';
export { BaseCrossmintWalletProviderProps } from '@crossmint/client-sdk-react-base';

type OtpEmailPayload = {
    email: string;
    emailId: string;
};
type LoginMethod = "email" | "google" | "farcaster" | "twitter" | "web3" | "web3:evm-only" | "web3:solana-only";
type AuthStatus = "logged-in" | "logged-out" | "in-progress" | "initializing";
type CrossmintAuthProviderProps = {
    appearance?: UIConfig;
    termsOfServiceText?: string | ReactNode;
    prefetchOAuthUrls?: boolean;
    onLoginSuccess?: () => void;
    authModalTitle?: string;
    children: ReactNode;
    loginMethods?: LoginMethod[];
    refreshRoute?: string;
    logoutRoute?: string;
};

export type { AuthStatus, CrossmintAuthProviderProps, LoginMethod, OtpEmailPayload };
